/* filter.h
**
** Interface for `fparser.c'
** (Parser for an e-mail filter)
**
*/
#ifndef _FILTER_H
#define _FILTER_H

#include <stdio.h>
#include "xfile.h"

struct filter_s;
typedef struct filter_s *filter_t;

filter_t fparser (FILE *fp, char *vars[], const char *sender);
void filter_free (filter_t filter);
int finterp (filter_t filter, FILE *mfp, xFile tgt, int err);

#endif /* defined(_FILTER_H) */
